libebook::RBStream Class Reference documentation

Classes | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::RBStream Class Reference

`#include <RBStream.h>`

Inheritance diagram for libebook::RBStream:

## Classes
struct | Impl

## Public Member Functions
| RBStream (const RVNGInputStreamPtr_t &input, const RBHeader &header)
virtual | ~RBStream ()
virtual bool | isStructured ()
virtual unsigned | subStreamCount ()
virtual const char * | subStreamName (unsigned id)
virtual bool | existsSubStream (const char *name)
virtual librevenge::RVNGInputStream * | getSubStreamByName (const char *name)
virtual librevenge::RVNGInputStream * | getSubStreamById (unsigned id)
virtual const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
virtual int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
virtual long | tell ()
virtual bool | isEnd ()

## Private Member Functions
| RBStream (const RBStream &other)
RBStream & | operator= (const RBStream &other)

## Private Attributes
boost::scoped_ptr< Impl > | m_impl

## Constructor & Destructor Documentation

## ◆ RBStream() [1/2]

libebook::RBStream::RBStream | ( | const RBStream & | other | ) |
| private

## ◆ RBStream() [2/2]

libebook::RBStream::RBStream | ( | const RVNGInputStreamPtr_t & | input,
|  | const RBHeader & | header
| ) |  |

## ◆ ~RBStream()

libebook::RBStream::~RBStream | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ existsSubStream()

bool libebook::RBStream::existsSubStream | ( | const char * | name | ) |
| virtual

## ◆ getSubStreamById()

librevenge::RVNGInputStream * libebook::RBStream::getSubStreamById | ( | unsigned | id | ) |
| virtual

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * libebook::RBStream::getSubStreamByName | ( | const char * | name | ) |
| virtual

## ◆ isEnd()

bool libebook::RBStream::isEnd | ( |  | ) |
| virtual

## ◆ isStructured()

bool libebook::RBStream::isStructured | ( |  | ) |
| virtual

## ◆ operator=()

RBStream& libebook::RBStream::operator= | ( | const RBStream & | other | ) |
| private

## ◆ read()

const unsigned char * libebook::RBStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |
| virtual

## ◆ seek()

int libebook::RBStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |
| virtual

## ◆ subStreamCount()

unsigned libebook::RBStream::subStreamCount | ( |  | ) |
| virtual

## ◆ subStreamName()

const char * libebook::RBStream::subStreamName | ( | unsigned | id | ) |
| virtual

## ◆ tell()

long libebook::RBStream::tell | ( |  | ) |
| virtual

## Member Data Documentation

## ◆ m_impl

boost::scoped_ptr<Impl> libebook::RBStream::m_impl
| private

Referenced by existsSubStream(), getSubStreamById(), getSubStreamByName(), isEnd(), read(), seek(), subStreamCount(), subStreamName(), and tell().

The documentation for this class was generated from the following files:

- RBStream.h
- RBStream.cpp